Skip to main content
POST
/
api
/
automations
Create automation
curl --request POST \
  --url https://app.outlit.ai/api/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "10000000-0000-4000-8000-000000000004",
  "name": "Churn response",
  "description": null,
  "enabled": false,
  "triggerType": "SIGNAL_OCCURRENCE",
  "signalIds": [
    "10000000-0000-4000-8000-000000000002"
  ],
  "destinationIds": []
}
'
import requests

url = "https://app.outlit.ai/api/automations"

payload = {
"agentId": "10000000-0000-4000-8000-000000000004",
"name": "Churn response",
"description": None,
"enabled": False,
"triggerType": "SIGNAL_OCCURRENCE",
"signalIds": ["10000000-0000-4000-8000-000000000002"],
"destinationIds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '10000000-0000-4000-8000-000000000004',
name: 'Churn response',
description: null,
enabled: false,
triggerType: 'SIGNAL_OCCURRENCE',
signalIds: ['10000000-0000-4000-8000-000000000002'],
destinationIds: []
})
};

fetch('https://app.outlit.ai/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "automation": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "<string>",
        "name": "<string>",
        "description": "<string>",
        "enabled": true,
        "triggerJson": "<unknown>",
        "audienceFilterJson": "<unknown>",
        "schemaVersion": "<string>",
        "configHash": "<string>",
        "archivedAt": "2023-11-07T05:31:56Z",
        "lastRunAt": "2023-11-07T05:31:56Z",
        "nextRunAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "signals": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "<string>",
            "name": "<string>",
            "description": "<string>",
            "definition": "<unknown>",
            "schemaVersion": "<string>",
            "configHash": "<string>",
            "archivedAt": "2023-11-07T05:31:56Z",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "destinations": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "<string>",
            "name": "<string>",
            "description": "<string>",
            "enabled": true,
            "maskedConfig": {},
            "lastSyncedAt": "2023-11-07T05:31:56Z",
            "providerErrorCode": "<string>",
            "providerErrorMessage": "<string>",
            "isDefault": true,
            "schemaVersion": "<string>",
            "configHash": "<string>",
            "archivedAt": "2023-11-07T05:31:56Z",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "activeSignalCount": 1,
        "activeDestinationCount": 1,
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"error": "Invalid credentials"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"error": "Internal server error"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Body

application/json
agentId
string<uuid>
required
name
string
required
Required string length: 1 - 120
triggerType
enum<string>
required
Available options:
SIGNAL_OCCURRENCE,
SCHEDULE
description
string | null
Maximum string length: 1000
enabled
boolean
default:true
signalIds
string<uuid>[]
Maximum array length: 50
matchMode
enum<string>
Available options:
ANY,
ALL,
AT_LEAST
triggerWindow
object
triggerThresholdCount
integer
Required range: 2 <= x <= 5
schedule
object
audienceFilter
object
processorPolicy
object
deliveryPolicy
object
destinationIds
string<uuid>[]
Maximum array length: 25

Response

Automation was created.

ok
boolean
required
commandId
string
required
Allowed value: "automation.create"
commandVersion
integer
required
correlationId
string
required
result
object
required